Bug 1427808 (CVE-2017-6410) - CVE-2017-6410 kf5-kio, kdelibs: Information Leak when accessing https when using a malicious PAC file
Summary: CVE-2017-6410 kf5-kio, kdelibs: Information Leak when accessing https when us...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-6410
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1427812 1427813 1427814
Blocks: 1427811
TreeView+ depends on / blocked
 
Reported: 2017-03-01 10:03 UTC by Andrej Nemec
Modified: 2019-09-29 14:07 UTC (History)
7 users (show)

Fixed In Version: kf5-kio 5.32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 09:21:23 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-03-01 10:03:15 UTC
Using a malicious PAC file, and then using exfiltration methods in the PAC
function FindProxyForURL() enables the attacker to expose full https URLs.

This is a security issue since https URLs may contain sensitive
information in the URL authentication part (user:password@host), and in the
path and the query (e.g. access tokens).

This attack can be carried out remotely (over the LAN) since proxy settings
allow “Detect Proxy Configuration Automatically”.
This setting uses WPAD to retrieve the PAC file, and an attacker who has access
to the victim’s LAN can interfere with the WPAD protocols (DHCP/DNS+HTTP)
and inject his/her own malicious PAC instead of the legitimate one.

External References:

https://www.kde.org/info/security/advisory-20170228-1.txt

Upstream patches:

kio: https://commits.kde.org/kio/f9d0cb47cf94e209f6171ac0e8d774e68156a6e4
kdelibs: https://commits.kde.org/kdelibs/1804c2fde7bf4e432c6cf5bb8cce5701c7010559

Comment 1 Andrej Nemec 2017-03-01 10:07:57 UTC
Created kdelibs tracking bugs for this issue:

Affects: fedora-all [bug 1427813]


Created kf5-kio tracking bugs for this issue:

Affects: epel-7 [bug 1427812]
Affects: fedora-all [bug 1427814]

Comment 3 Fedora Update System 2017-03-12 21:19:54 UTC
kdelibs3-3.5.10-84.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2017-03-12 21:52:15 UTC
kdelibs3-3.5.10-84.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.